Subject: [PATCH v2 0/3] doc: interpret-trailers: don't use deprecated config

From: Kristoffer Haugsbakk <[email-masked]>
Date: Mon, 3 Apr 2023 21:21:58 +0200

Replace deprecated `command` with `cmd` (patch 2). While visiting this
file also rewrite heredoc examples to use files which are shown with
cat(1) (patch 1) and fix two examples that didn’t work properly (patch
3).

§ Changes in v2

First of all I had to send a second version since I messed up sending my
v1 cover letter (unencoded Unicode in the subject). But I ended up doing
quite a few changes:

1. Patch 1: Junio had some alternative suggestions. Remove trailing
   spaces by using files which are shown with cat(1) and thereby make it
   easier to copy-paste from the docs.
2. Patch 2: Fix discrepancy (see/sign) in commit message (thanks to
   Andrei Rybak)
3. Patch 2: minor commit message correction
4. Patch 3: Fix another example and build on top of it by using the
   typical “subject/message” format instead of an empty file and an
   s-o-b file (a file with just an s-o-b trailer)

Kristoffer Haugsbakk (3):
  doc: interpret-trailers: don’t use heredoc in examples
  doc: interpret-trailers: don’t use deprecated config
  doc: interpret-trailers: fix examples

 Documentation/git-interpret-trailers.txt | 93 +++++++++++++-----------
 1 file changed, 52 insertions(+), 41 deletions(-)

Range-diff against v1:
1:  b57fac21e4 < -:  ---------- doc: interpret-trailers: remove trailing spaces
2:  d85e955ff2 < -:  ---------- doc: interpret-trailers: don’t use deprecated config
3:  bd6b78a707 < -:  ---------- doc: interpret-trailers: fix example
-:  ---------- > 1:  38f9a4bdf8 doc: interpret-trailers: don’t use heredoc in examples
-:  ---------- > 2:  ea06be8f5a doc: interpret-trailers: don’t use deprecated config
-:  ---------- > 3:  14555cf87f doc: interpret-trailers: fix examples
--
2.40.0